VIOCON(4) | Device Drivers Manual | VIOCON(4)

# NAME

`viocon` — VirtIO console device

# SYNOPSIS

`viocon* at virtio?`

# DESCRIPTION

The `viocon` driver provides support for the virtio(4) console interface provided by KVM, QEMU, and others.

It provides serial ports that are attached as ttys.

# FILES

/dev/ttyVI00
/dev/ttyVI10
/dev/ttyVI20
/dev/ttyVI30
/dev/ttyVI40

# SEE ALSO

intro(4), tty(4), virtio(4)

# HISTORY

The `viocon` driver first appeared in OpenBSD 5.9.

# AUTHORS

The `viocon` driver was written for OpenBSD by Stefan Fritsch <sf@sfritsch.de>. It was ported to NetBSD 10.0.

# BUGS

Use as a kernel console for NetBSD is not yet supported.

The multiport feature is not yet supported.

August 13, 2022 | NetBSD 11.99